Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.util
Interface Editable

All Known Implementing Classes:
  BlendingShader, DiffuseShader, HighlightShader, ImageTexture, ReflectionShader, RefractionShader, ShaderTreeNode, SilhouetteShader, StripeTexture, TextureShader

public interface Editable

Classes that implement the Editable interface can have editable properties modified with a general set of methods.

Nested Class Summary
`static class` | `Editable.Selection` An Editable.Selection object stores a set of options and a selection.

Method Summary
`Producer[]` | `getInputPropertyValues()`
`java.lang.String[]` | `getPropertyDescriptions()` Returns an array of String objects with descriptions for each editable property of this Editable object.
`java.lang.String[]` | `getPropertyNames()` Returns an array of String objects with names for each editable property of this Editable object.
`java.lang.Class[]` | `getPropertyTypes()` Returns an array of Class objects representing the class types of each editable property of this Editable object.
`java.lang.Object[]` | `getPropertyValues()` Returns the values of the properties of this Editable object as an Object array.
`void` | `setInputPropertyValue(int index, Producer p)`
`void` | `setPropertyValue(java.lang.Object value, int index)` Sets the value of the property of this Editable object at the specified index to the specified value.
`void` | `setPropertyValues(java.lang.Object[] values)` Sets the values of properties of this Editable object to those specified.

Method Detail

### getPropertyNames

    public java.lang.String[] getPropertyNames()

  Returns an array of String objects with names for each editable property of this Editable object.

### getPropertyDescriptions

    public java.lang.String[] getPropertyDescriptions()

  Returns an array of String objects with descriptions for each editable property of this Editable object.

### getPropertyTypes

    public java.lang.Class[] getPropertyTypes()

  Returns an array of Class objects representing the class types of each editable property of this Editable object.

### getPropertyValues

    public java.lang.Object[] getPropertyValues()

  Returns the values of the properties of this Editable object as an Object array.

### setPropertyValue

    public void setPropertyValue(java.lang.Object value,
                                 int index)

  Sets the value of the property of this Editable object at the specified index to the specified value.

### setPropertyValues

    public void setPropertyValues(java.lang.Object[] values)

  Sets the values of properties of this Editable object to those specified.

### getInputPropertyValues

    public Producer[] getInputPropertyValues()

  Returns:
    An array of Producer objects containing the property values of those properties that are repeatedly evaluated.

### setInputPropertyValue

    public void setInputPropertyValue(int index,
                                      Producer p)

  Parameters:
    `index` - Index of input property (array index from this.getInputPropertyValue).
    `p` - Producer object to use for input property.

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray